gSOAP UDDI v2: uddi2__businessService Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__businessService Class Reference

Schema urn:uddi-org:api_v2:"businessService". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__businessService:

[legend]
List of all members.

## Public Attributes
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded.
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
uddi2__bindingTemplates * | bindingTemplates
| Element reference "urn:uddi-org:api_v2":bindingTemplates.
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag.
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"businessService".

## Member Data Documentation

uddi2__bindingTemplates* uddi2__businessService::bindingTemplates

| Element reference "urn:uddi-org:api_v2":bindingTemplates. Optional element

uddi2__businessKey uddi2__businessService::businessKey

| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey. Optional attribute

uddi2__categoryBag* uddi2__businessService::categoryBag

| Element reference "urn:uddi-org:api_v2":categoryBag. Optional element

std::vector<uddi2__description* > uddi2__businessService::description

| Vector of uddi2__description* with length 0..unbounded.

std::vector<uddi2__name* > uddi2__businessService::name

| Vector of uddi2__name* with length 0..unbounded.

uddi2__serviceKey uddi2__businessService::serviceKey

| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey. Required attribute

struct soap* uddi2__businessService::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h